<div class="animated fadeIn">
	<div class="card-body">
		<div class="row">
			<div class="col-sm-6">
				<div class="card">
					<div class="card-header">
						<strong>Approve</strong>
					</div>
					<div class="card-body">
						<div class="form-group">
							<label for="vat">Process Id (the VM you want to Approve)</label>
							<form class="was-validated">
								<div class="col-md-12">
									<div class="input-group">
										<input type="text" id="process_id" name="input2-group2" class="form-control" placeholder="fec59d82710b4301a05ed54f5f5058b8"
										 [(ngModel)]="process_id" required [ngModelOptions]="{standalone:true}">
										<span class="input-group-append">
											<button type="button" class="btn btn-primary" data-toggle="modal" (click)="lookup(process_id)" [disabled]="!(process_id)">
												<i class="cui-magnifying-glass"></i> LookUp
											</button>
										</span>
									</div>
								</div>
							</form>

						</div>
					</div>

					<div class="card-footer text-center">
						<button type="submit" class="btn btn-sm btn-primary" (click)="approve(true)" [disabled]="!(process_id)">
							<i class="cui-thumb-up"></i> Approve
						</button>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<button type="reset" class="btn btn-sm btn-danger" (click)="approve(false)" [disabled]="!(process_id)">
							<i class="cui-thumb-down"></i> Reject
						</button>
					</div>
				</div>
			</div>
			<!--/.col-->
		</div>
	</div>
</div>

<div bsModal #detailsModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
 aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><b>Process details for id: </b>{{ process.id }}</h4>
				<button type="button" class="close" (click)="detailsModal.hide()" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div class="form-group">
					<p>
						<label for="vat">Project Name</label> <input type="text" class="form-control" id="project_name" value="{{ process?.project.name }}"
						 readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Title</label> <input type="text" class="form-control" id="project_title" value="{{ process?.project.title }}"
						 readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Description</label> 
						<textarea id="textarea-input" name="textarea-input" rows="2" class="form-control text-darki"
						 placeholder="" readonly="true">{{ process?.project.description }}</textarea>
						<!--input type="text" class="form-control" id="vat" value="{{ process?.description }}"
						 readonly="true"-->
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Link to VM image</label><br>
						<span class="input-group-append">

							<input type="text" class="form-control" id="url_image" value="{{ process?.image_url }}" readonly="true">

							<button type="button" class="btn btn-primary" data-toggle="modal" (click)="redirectToVM(process.image_url)" [disabled]="!(process?.image_url)">
								<i class="cui-magnifying-glass"></i>
							</button>
						</span>

					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Device</label>
						<input type="text" class="form-control" id="url_image" value="{{ process?.project.device }}" readonly="true">
					</p>
				</div>

			</div>

			<div class="modal-footer">
				<button type="button" class="btn btn-secondary" (click)="detailsModal.hide()">Close</button>
			</div>
		</div>
		<!-- /.modal-content -->
	</div>
	<!-- /.modal-dialog -->
</div>
<!-- /.modal -->
